#include "config.h"
#include "system.h"
#include "coretypes.h"
#include "tm.h"
#include "function.h"
#include "basic-block.h"
#include "tree.h"
#include "gimple.h"
#include "tree-streamer.h"
#include "cgraph.h"
#include "lto.h"

unsigned int
lto_option_lang_mask (void)
{
  if (strcmp(progname, "lto1") == 0)
    return CL_LTO;
  else
    return CL_LTODump;
}

void
lto_main (void)
{
  if (strcmp(progname, "lto1") == 0)
    lto1_main();
  else
    lto_dump_main();
}
